# POrdinalToString Class Reference

This is a dictionary collection class of `PString` objects, keyed by an ordinal value. More...

`#include <pstring.h>`

Inheritance diagram for POrdinalToString:

List of all members.

## Public Member Functions

Construction
| POrdinalToString (PINDEX count, const Initialiser *init)
| Initialise the ordinal dictionary of strings from the static array.
Overrides from class PObject
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream.

## Classes

struct | Initialiser
| Structure for static array initialiser for class. More...

## Detailed Description

This is a dictionary collection class of `PString` objects, keyed by an ordinal value.

It has all the usual functions for a collection, with the object types set to `PString` pointers. The class could be considered like a sparse array of strings.

In addition some addition functions are added that take a const `PString` reference instead of a pointer as most standard collection functions do. This is more convenient for when string expressions are used as parameters to function in the collection.

See the `PAbstractDictionary` and `PStringDictionary` classes and `PDECLARE_DICTIONARY` and `PDECLARE_STRING_DICTIONARY` macros for more information.

## Constructor & Destructor Documentation

POrdinalToString::POrdinalToString | ( | PINDEX | count,
|  | const Initialiser * | init |
| ) |  |  |

Initialise the ordinal dictionary of strings from the static array.

Parameters:

  count | Count of strings in initialiser array
  init | Array of Initialiser structures

## Member Function Documentation

virtual void POrdinalToString::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the contents of the object from the stream.

This is primarily used by the standard `operator>>` function.

The default behaviour reads '\n' separated strings until `!strm.good()`.

Reimplemented from PObject.

The documentation for this class was generated from the following file:

- pstring.h